Subject: Re: linux-next: manual merge of the rcu tree with Linus' tree

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 25 Sep 2017 20:26:28 -0700

On Tue, Sep 26, 2017 at 01:00:18PM +1000, Stephen Rothwell wrote:
> Hi Paul,
> 
> Today's linux-next merge of the rcu tree got a conflict in:
> 
>   kernel/rcu/tree.c
> 
> between commit:
> 
>   28585a832602 ("rcu: Allow for page faults in NMI handlers")
> 
> from Linus' tree and commit:
> 
>   3e2baa988b9c ("rcu: Allow for page faults in NMI handlers")
> 
> from the rcu tree.
> 
> I fixed it up (I just used the rcu tree version) and can carry the fix
> as necessary. This is now fixed as far as linux-next is concerned, but
> any non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Hello, Stephen,

This conflict will disappear tomorrow, as I have merged the commit
from Linus's tree in place of mine and have added another commit that 
removes the READ_ONCE()s.  Same result, but no conflict.  ;-)

							Thanx, Paul